#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-5ZEvfO1QLHf5SMySnNIR0R
key:                  lsp-1.4.0.0-5ZEvfO1QLHf5SMySnNIR0R
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  7a2c02320813a4d3a0f1a67d89501eff
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-9Yn6hZKvqu8F18RgzxwLTR:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-9Yn6hZKvqu8F18RgzxwLTR:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-9Yn6hZKvqu8F18RgzxwLTR:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-9Yn6hZKvqu8F18RgzxwLTR:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-5ZEvfO1QLHf5SMySnNIR0R
depends:
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    async-2.2.5-GOT0v2vzV5iH7iWkyOUIC3
    attoparsec-0.14.4-IDdHCXuvqZFAtv2X99gOjm base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 exceptions-0.10.4
    hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    hslogger-1.3.1.1-C0fSv2ywjFOLenSLsgvJ4E
    lens-5.2.3-FaAjdvRjDs8BQhMYQYzR8W
    lsp-types-1.4.0.1-9Yn6hZKvqu8F18RgzxwLTR mtl-2.2.2
    network-uri-2.6.4.2-3yIKQYUO8n73yiVU7Jt7Pm
    random-1.2.1.2-5cse3egicJy98i0Qegn8w0
    scientific-0.3.7.0-JDywD8dnuxJJkMv2HmTQaQ
    sorted-list-0.2.2.0-98vsBv4aEWMGuGFVCFia8z stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-AzoOiKjV26Z32LkoSmNfI7
    uuid-1.3.15-GgZA6NmaCxuGtPyN28H93d

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

